Quantcast
Channel: Scripting - McNeel Forum
Viewing all articles
Browse latest Browse all 5745

Turn string from usertext into plane object

$
0
0

Dear all.

any suggestions how is can turn the string of a plane object into an actual plan object again?

import rhinoscriptsyntax as rs

objects = rs.GetObjects(message="Select polysurface  ", filter=16, preselect=False, select=False,)

for obj in objects:
    box = rs.BoundingBox(obj)
    plane = rs.PlaneFromPoints(box[0], box[1], box[4])
    rs.SetUserText(obj, "plane", plane)

for obj in objects:
    string = rs.GetUserText(obj, "plane")
    #What is the easiest way to turn the string into an actuall plane object?

4 posts - 3 participants

Read full topic


Viewing all articles
Browse latest Browse all 5745

Trending Articles